/* Copyright 2008 Daniel Vokó <sagittarius@vokod.com>
 * 
 * This file is part of Sagittarius.
 *
 * Sagittarius is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * Sagittarius is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Sagittarius.  If not, see <http://www.gnu.org/licenses/>.
 */


using System;

namespace Sagittarius.Config
{
	
	
	public static class Misc
	{
		public static string MULTIPLE_VALUES = "Multiple values";
		public static string CONFIG_DIR = System.Environment.GetEnvironmentVariable("HOME")+"/.sagittarius";
		public static string CACHE_DIR = System.Environment.GetEnvironmentVariable("HOME")+"/.sagittarius/cache";
		private static string supportedFormats =  "#dng#gif#jp2#jpg#jpeg#jpe#png#tif#tiff";
		
		public static bool IsFileSupported(string name) // determines if the image is supported
		{
			//Console.WriteLine("Entering Sagittarius.Misc.IsImageSupported");
			bool supported;
			int pos = name.LastIndexOf(".");
			string extension = "#"+name.Substring(pos+1,name.Length-pos-1).ToLower()+"#";
			if(supportedFormats.IndexOf(extension)>-1) 
				{ supported = true; }
			else
				{ supported = false; }
			//Console.WriteLine("Exiting Sagittarius.Misc.IsImageSupported");
			return supported;
		}
		
	}
}
