/* Copyright 2008 Daniel Vokó <sagittarius@vokod.com>
 * 
 * This file is part of Sagittarius.
 *
 * Sagittarius is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * Sagittarius is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Sagittarius.  If not, see <http://www.gnu.org/licenses/>.
 */

using System;

namespace Sagittarius.Metadata
{
	public static class TagName
	{
		/// <summary>
		/// iptc
		/// </summary>
		public static string IPTC_CI_ADR_CITY        = "Creator City";
		public static string IPTC_CI_ADR_CTRY        = "Creator Country";
		public static string IPTC_CI_ADR_EXTADR      = "Creator Address";
		public static string IPTC_CI_ADR_PCODE       = "Creator Postal Code";
		public static string IPTC_CI_ADR_REGION      = "Creator Region";
		public static string IPTC_CI_EMAIL_WORK      = "Creator Work Email";
		public static string IPTC_CI_TEL_WORK        = "Creator Work Telephone";
		public static string IPTC_CI_URL_WORK        = "Creator Work URL";
		public static string IPTC_CITY               = "City";
		public static string IPTC_COPYRIGHT_NOTICE   = "Rights";
		public static string IPTC_COUNTRY            = "Country";
		public static string IPTC_COUNTRY_CODE       = "Country Code";
		public static string IPTC_CREATOR            = "Creator";
		public static string IPTC_CREATOR_JOB_TITLE  = "Authors Position";
		public static string IPTC_DATE_CREATED       = "Date Created";
		public static string IPTC_DESCRIPTION        = "Description";
		public static string IPTC_DESCRIPTION_WRITER = "Caption Writer";
		public static string IPTC_HEADLINE           = "Headline";
		public static string IPTC_INSTRUCTIONS       = "Instructions";
		public static string IPTC_INTELLECTUAL_GENRE = "Intellectual Genre";
		public static string IPTC_JOB_ID             = "Transmission Reference";
		public static string IPTC_KEYWORDS           = "Subject";
		public static string IPTC_LOCATION           = "Location";
		public static string IPTC_PROVIDER           = "Credit";
		public static string IPTC_PROVINCE_STATE     = "State";
		public static string IPTC_RIGHT_USAGE_TERMS  = "Usage Terms";
		public static string IPTC_SCENE              = "Scene";
		public static string IPTC_SOURCE             = "Source";
		public static string IPTC_SUBJECT_CODE       = "Subject Code";
		public static string IPTC_TITLE              = "Title";
		public static string IPTC_COPYRIGHTED        = "Marked";
		
		/// <summary>
		/// exif
		/// </summary>
		// Gear
		// Camera
		public static string EXIF_MAKE = "Make";
		public static string EXIF_MODEL = "Model";
		public static string EXIF_SERIAL = "Serial Number";
		public static string EXIF_FIRMWARE = "Firmware";
		public static string EXIF_SOFTWARE = "Software"; 
		// Lens
		public static string EXIF_LENS = "Lens";
		public static string EXIF_MAX_APERTURE = "Max Aperture Value";
		// Exposure
		// DateTime
		public static string EXIF_DATETIME_ORIGINAL      = "Date Time Original";
		public static string EXIF_DATETIME_DIGITIZED     = "Date Time Digitized";
		// Settings
		public static string EXIF_EXPOSURE_TIME          = "Exposure Time";
		public static string EXIF_SHUTTER_SPEED          = "Shutter Speed Value";
		public static string EXIF_APERTURE               = "Aperture Value";
		public static string EXIF_ISO                    = "ISO";
		public static string EXIF_EXPOSURE_COMP          = "Exposure Compensation";
		public static string EXIF_EXPOSURE_PROG          = "Exposure Program";
		public static string EXIF_EXPOSURE_MODE          = "Exposure Mode";
		public static string EXIF_METERING_MODE          = "Metering Mode";
		public static string EXIF_SCENE_CAPTURE          = "Scene Capture Type";
		// Lens
		public static string EXIF_FOCAL_LENGTH           = "Focal Length";
		public static string EXIF_FOCAL_LENGTH_35        = "Focal Length In 35mm Format";
		public static string EXIF_DIGITAL_ZOOM           = "Digital Zoom Ratio";
		public static string EXIF_FNUMBER                = "FNumber";
		// Light & flash
		public static string EXIF_LIGHT_SOURCE           = "Light Source";
		public static string EXIF_WHITE_BALANCE          = "White Balance";
		public static string EXIF_FLASH_FIRED            = "Flash Fired";
		public static string EXIF_FLASH_MODE             = "Flash Mode";
		public static string EXIF_FLASH_REDEYE           = "Flash Red Eye Mode";
		public static string EXIF_FLASH_RETURN           = "Flash Return";
		public static string EXIF_FLASH_FUNCTION         = "Flash function";
		public static string EXIF_FLASH_ENERGY           = "Flash energy";
		// Image
		// General
		public static string EXIF_IMAGE_WIDTH            = "Exif Image Width";
		public static string EXIF_IMAGE_LENGTH           = "Exif Image Length";
		public static string EXIF_ORIENTATION            = "Orientation";
		public static string EXIF_BITS_PER_SAMPLE        = "Bits Per Sample";
		public static string EXIF_COMPRESSION            = "Compression";
		public static string EXIF_COLOR_SPACE            = "Color Space";
		public static string EXIF_RESOLUTION_X           = "X Resolution";
		public static string EXIF_RESOLUTION_Y           = "Y Resolution";
		public static string EXIF_RESOLUTION_UNIT        = "Resolution Unit";
		public static string EXIF_BRIGHTNESS             = "Brightness Value";
		// Settings
		public static string EXIF_CONTRAST               = "Contrast";
		public static string EXIF_SATURATION             = "Saturation";
		public static string EXIF_SHARPNESS              = "Sharpness";
		public static string EXIF_GAIN_CONTROL           = "Gain Control";
		public static string EXIF_CUSTOM_RENDERED        = "Custom Rendered";
		//Subject
		public static string EXIF_SUBJECT_DISTANCE       = "Subject Distance";
		public static string EXIF_SUBJECT_LOCATION       = "Subject Location";
		public static string EXIF_SUBJECT_AREA           = "Subject Area";
		public static string EXIF_SUBJECT_DISTANCE_RANGE = "Subject Distance Range";

		//GPS
		public static string EXIF_GPS_VERSION            = "GPSVersionID";
		public static string EXIF_GPS_LATITUDE_REF       = "GPSLAtitudeRef";
		public static string EXIF_GPS_LATITUDE           = "GPSLatitude";
		public static string EXIF_GPS_LONGITUDE_REF      = "GPSLongitudeRef";
		public static string EXIF_GPS_LONGITUDE          = "GPSLongitude";
		public static string EXIF_GPS_ALTITUDE_REF       = "GPSAltitudeRef";
		public static string EXIF_GPS_ALTITUDE           = "GPSAltitude";
		public static string EXIF_GPS_DATETIME           = "GPSTimeStamp";
		public static string EXIF_GPS_SATELLITES         = "GPSSatellites";
		public static string EXIF_GPS_STATUS             = "GPSStatus";
		public static string EXIF_GPS_MEASURE_MODE       = "GPSMeasureMode";
		public static string EXIF_GPS_DOP                = "GPSDOP";
		public static string EXIF_GPS_SPEED_REF          = "GPSSpeedRef";
		public static string EXIF_GPS_SPEED              = "GPSSpeed";
		public static string EXIF_GPS_TRACK_REF          = "GPSTrackRef";
		public static string EXIF_GPS_TRACK              = "GPSTrack";
		public static string EXIF_GPS_IMG_DIRECTION_REF  = "GPSImgDirectionRef";
		public static string EXIF_GPS_IMG_DIRECTION      = "GPSImgDirection";
		public static string EXIF_GPS_MAP_DATUM          = "GPSMapDatum";
		public static string EXIF_GPS_DEST_LATITUDE      = "GPSDestLatitude";
		public static string EXIF_GPS_DEST_LONGITUDE     = "GPSDestLongitude";
		public static string EXIF_GPS_DEST_BEARING_REF   = "GPSDestBearingRef";
		public static string EXIF_GPS_DEST_BEARING       = "GPSDestBearing";
		public static string EXIF_GPS_DEST_DISTANCE_REF  = "GPSDestDistanceRef";
		public static string EXIF_GPS_DEST_DISTANCE      = "GPSDestDistance";
		public static string EXIF_GPS_PROCESSING_METHOD  = "GPSProcessingMethod";
		public static string EXIF_GPS_AREA_INFORMATION   = "GPSAreaInformation";
		public static string EXIF_GPS_DIFFERENTIAL       = "GPSDifferential";
	}
}
