/* Copyright 2008 Daniel Vokó <sagittarius@vokod.com>
 * 
 * This file is part of Sagittarius.
 *
 * Sagittarius is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * Sagittarius is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Sagittarius.  If not, see <http://www.gnu.org/licenses/>.
 */

using System;
using System.Threading;

namespace Sagittarius
{
	public class FactorySemaphore 
	{
		private int count = 0;
	
		public FactorySemaphore ()
		{ }

		public void Down ()
		{
			lock (this)
			{
				while (count <= 0)
				{
					Monitor.Wait (this);
				}
				count--;
			}
		}
		
		public void Up ()
		{
			lock(this)
			{
				count++;
				Monitor.Pulse (this);
			}
		}
	}
}
