/* Copyright 2008 Daniel Vokó <sagittarius@vokod.com>
 * 
 * This file is part of Sagittarius.
 *
 * Sagittarius is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * Sagittarius is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Sagittarius.  If not, see <http://www.gnu.org/licenses/>.
 */


using System;
using Gdk;

namespace Sagittarius
{
	public class LoadSaveStatusUpdateEventArgs:EventArgs
	{
		public LoadSaveStatusUpdateEventArgs(int act, int max, string message):base()
		{
			this.act = act;
			this.max = max;
			this.message=message;
		}
		public readonly int act, max;
		public readonly string message;
	}
	
	/*public class CacheBuildingStatusUpdateEventArgs:EventArgs
	{
		public CacheBuildingStatusUpdateEventArgs(int act, int max, string message):base()
		{
			this.act = act;
			this.max = max;
			this.message=message;
		}
		public readonly int act, max;
		public readonly string message;
	}*/
	
	public class PhotoInfoReadyEventArgs 
	{
		public PhotoInfo PInfo;

		public PhotoInfoReadyEventArgs (PhotoInfo pIinfo) 
		{
			PInfo = pIinfo;
		}
	}
	
	public class PreviewLoadedEventArgs 
	{
		public Pixbuf Preview;
		public string Filename;
		public PreviewLoadedEventArgs (Pixbuf preview, string filename) 
		{
			this.Preview=preview;
			this.Filename=filename;
		}
	}
}
